{% extends 'base.html.twig' %}

{% block title %}{{ parent() }} - Login{% endblock %}

{% block body %}
    <div class="row">
        <div class="col">
            <h2>Login</h2>
            <div class="btn-group">
                <a href="{{ path('connect_google_start') }}" title="Google Login"
                   class="btn btn-outline-dark">
                    <i class="bi-google" style="font-size: 2rem;"></i>
                </a>
                <a href="{{ path('connect_github_start') }}" title="GitHub Login"
                   class="btn btn-outline-dark">
                    <i class="bi-github" style="font-size: 2rem;"></i>
                </a>
                <a href="{{ path('connect_gitlab_start') }}" title="GitLab Login"
                   class="btn btn-outline-dark">
                    <i class="bi-git" style="font-size: 2rem;"></i>
                </a>
            </div>
        </div>
        <div class="col">
            {% if 'dev' == app.environment %}
                <h2>Dev</h2>
                <form class="form-inline" role="form" method="post" action="{{ path('login') }}">
                    {% if error %}
                        <div class="alert alert-danger">
                            {{ error.message }}
                        </div>
                    {% endif %}
                    <div class="form-floating">
                        <input class="form-control" id="identifier" name="identifier" placeholder="Identifier"
                               value="{{ last_username }}" required autofocus>
                        <label for="identifier">Identifier</label>
                    </div>
                    <input type="hidden" name="_csrf_token" value="{{ csrf_token('login') }}">
                    <div class="form-group">
                        <button type="submit" class="btn btn-primary">Login</button>
                    </div>
                </form>
            {% endif %}
        </div>
    </div>
{% endblock %}
